org.appng.appngizer.controller

## Class PlatformPropertyController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.PlatformPropertyController

-     @RestController
      public class PlatformPropertyController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformPropertyController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.http.ResponseEntity<Property>` | `createProperty(Property property)`
    `org.springframework.http.ResponseEntity<Property>` | `deleteProperty(String property)`
    `org.springframework.http.ResponseEntity<Property>` | `getProperty(String prop)`
    `org.springframework.http.ResponseEntity<Properties>` | `listProperties()`
    `org.springframework.http.ResponseEntity<Property>` | `updateProperty(Property property)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlatformPropertyController

          public PlatformPropertyController()

  - ### Method Detail

    - #### listProperties

          @GetMapping(value="/platform/property")
          public org.springframework.http.ResponseEntity<Properties> listProperties()

    - #### getProperty

          @GetMapping(value="/platform/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> getProperty(@PathVariable(value="prop")
                                                                                                                              String prop)

    - #### createProperty

          @PostMapping(value="/platform/property")
          public org.springframework.http.ResponseEntity<Property> createProperty(@RequestBody
                                                                                                                           Property property)

    - #### updateProperty

          @PutMapping(value="/platform/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> updateProperty(@RequestBody
                                                                                                                                 Property property)

    - #### deleteProperty

          @DeleteMapping(value="/platform/property/{prop}")
          public org.springframework.http.ResponseEntity<Property> deleteProperty(@PathVariable(value="prop")
                                                                                                                                    String property)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.